#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "K39TentacleSwingData.generated.h"

class ASurvivor;
class UPhysicalMaterial;

USTRUCT(BlueprintType)
struct FK39TentacleSwingData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector CollisionPoint;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector Destination;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FRotator SpawnForwardRotation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector SurfaceNormal;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ASurvivor* TargetSurvivor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UPhysicalMaterial* TargetPhysicalMaterial;

public:
	THEK39_API FK39TentacleSwingData();
};

FORCEINLINE uint32 GetTypeHash(const FK39TentacleSwingData) { return 0; }
